TinyXml: TiXmlText Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TiXmlText Class Reference

XML text. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlText:

List of all members.

## Public Member Functions
| TiXmlText (const char *initValue)
| Constructor for text element.
| TiXmlText (const std::string &initValue)
| Constructor.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.
bool | CDATA () const
| Queries whether this represents text using a CDATA section.
void | SetCDATA (bool _cdata)
| Turns on or off a CDATA representation of text.
virtual const TiXmlText * | ToText () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlText * | ToText ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *content) const
| Walk the XML tree visiting this node and all of its children.
## Protected Member Functions
virtual TiXmlNode * | Clone () const
| [internal use] Creates a new Element and returns it.
## Friends
class | TiXmlElement

## Detailed Description

XML text.

A text node can have 2 ways to output the next. "normal" output and CDATA. It will default to the mode it was parsed from the XML file and you generally want to leave it alone, but you can change the output mode with SetCDATA() and query it with CDATA().

## Constructor & Destructor Documentation

TiXmlText::TiXmlText | ( | const char * | initValue | ) | `[inline]`

Constructor for text element.

By default, it is treated as normal, encoded text. If you want it be output as a CDATA text element, set the parameter _cdata to 'true'

## Member Function Documentation

virtual void TiXmlText::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.

) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

The documentation for this class was generated from the following file:

- tinyxml.h